Bug 1955689

Summary: MAO does not react to events triggered from Validating Webhook Configurations
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Cloud ComputeAssignee: Joel Speed <jspeed>
Cloud Compute sub component: Other Providers QA Contact: sunzhaohua <zhsun>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified    
Version: 4.8   
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-24 17:14:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1955554    
Bug Blocks:    

Description OpenShift BugZilla Robot 2021-04-30 16:38:56 UTC
+++ This bug was initially created as a clone of Bug #1955554 +++

Description of problem:

The MAO does not react to events triggered by modifying validating webhook configurations which it manages

Version-Release number of selected component (if applicable):

4.8 and backwards

How reproducible:

100%, edit the machine-api validatingwebhook configuration and observe that the controller does not reconcile

Actual results:

It does not react to the modification


Expected results:

It should react to the modification and revert the changes (assuming they conflict)

Additional info:

Comment 3 sunzhaohua 2021-05-18 05:07:39 UTC
verified
clusterversion: 4.7.0-0.nightly-2021-05-17-040457

change port from 443 to 444, check machine-api-operator logs output re-syncing, check port again, restored to 443
$ oc edit ValidatingWebhookConfiguration machine-api

$ oc logs -f machine-api-operator-74fb854c8b-mwfzj -c machine-api-operator
I0518 05:05:59.497687       1 status.go:69] Syncing status: re-syncing
I0518 05:05:59.521408       1 recorder_logging.go:37] &Event{ObjectMeta:{dummy.168010d1e4816a6b  dummy    0 0001-01-01 00:00:00 +0000 UTC <nil> <nil> map[] map[] [] []  []},InvolvedObject:ObjectReference{Kind:Pod,Namespace:dummy,Name:dummy,UID:,APIVersion:v1,ResourceVersion:,FieldPath:,},Reason:ValidatingWebhookConfigurationUpdated,Message:Updated ValidatingWebhookConfiguration.admissionregistration.k8s.io/machine-api because it changed,Source:EventSource{Component:,Host:,},FirstTimestamp:2021-05-18 05:05:59.521274475 +0000 UTC m=+170.848435955,LastTimestamp:2021-05-18 05:05:59.521274475 +0000 UTC m=+170.848435955,Count:1,Type:Normal,EventTime:0001-01-01 00:00:00 +0000 UTC,Series:nil,Action:,Related:nil,ReportingController:,ReportingInstance:,}
I0518 05:05:59.532492       1 recorder_logging.go:37] &Event{ObjectMeta:{dummy.168010d1e52bbebf  dummy    0 0001-01-01 00:00:00 +0000 UTC <nil> <nil> map[] map[] [] []  []},InvolvedObject:ObjectReference{Kind:Pod,Namespace:dummy,Name:dummy,UID:,APIVersion:v1,ResourceVersion:,FieldPath:,},Reason:MutatingWebhookConfigurationUpdated,Message:Updated MutatingWebhookConfiguration.admissionregistration.k8s.io/machine-api because it changed,Source:EventSource{Component:,Host:,},FirstTimestamp:2021-05-18 05:05:59.532437183 +0000 UTC m=+170.859598663,LastTimestamp:2021-05-18 05:05:59.532437183 +0000 UTC m=+170.859598663,Count:1,Type:Normal,EventTime:0001-01-01 00:00:00 +0000 UTC,Series:nil,Action:,Related:nil,ReportingController:,ReportingInstance:,}
I0518 05:05:59.532516       1 sync.go:71] Synced up all machine API webhook configurations
I0518 05:06:01.575553       1 sync.go:82] Synced up all machine-api-controller components
I0518 05:06:01.581711       1 status.go:100] Syncing status: available
I0518 05:06:01.608585       1 status.go:69] Syncing status: re-syncing
I0518 05:06:01.635092       1 recorder_logging.go:37] &Event{ObjectMeta:{dummy.168010d2627e5484  dummy    0 0001-01-01 00:00:00 +0000 UTC <nil> <nil> map[] map[] [] []  []},InvolvedObject:ObjectReference{Kind:Pod,Namespace:dummy,Name:dummy,UID:,APIVersion:v1,ResourceVersion:,FieldPath:,},Reason:MutatingWebhookConfigurationUpdated,Message:Updated MutatingWebhookConfiguration.admissionregistration.k8s.io/machine-api because it changed,Source:EventSource{Component:,Host:,},FirstTimestamp:2021-05-18 05:06:01.635001476 +0000 UTC m=+172.962163056,LastTimestamp:2021-05-18 05:06:01.635001476 +0000 UTC m=+172.962163056,Count:1,Type:Normal,EventTime:0001-01-01 00:00:00 +0000 UTC,Series:nil,Action:,Related:nil,ReportingController:,ReportingInstance:,}
I0518 05:06:01.635119       1 sync.go:71] Synced up all machine API webhook configurations
I0518 05:06:03.676932       1 sync.go:82] Synced up all machine-api-controller components
I0518 05:06:03.681796       1 status.go:100] Syncing status: available

Comment 5 errata-xmlrpc 2021-05-24 17:14:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1561